# Tables

Tables or similar data elements from an integration.

## List Tables

> \> \*\*Warning\*\*: This endpoint is deprecated. Please use the \[List Resources]\(#tag/Resources/paths/\~1resource\~1catalog/get) endpoint instead with \`filter={"operator":"exact","field":"type","value":"table"}\`.<br>

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.28"},"tags":[{"name":"Tables","description":"Tables or similar data elements from an integration."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/table/tables":{"get":{"tags":["Tables"],"summary":"List Tables","deprecated":true,"description":"> **Warning**: This endpoint is deprecated. Please use the [List Resources](#tag/Resources/paths/~1resource~1catalog/get) endpoint instead with `filter={\"operator\":\"exact\",\"field\":\"type\",\"value\":\"table\"}`.\n","parameters":[{"name":"integration_id","in":"query","description":"Integration ID","schema":{"type":"string"}},{"name":"parent_id","in":"query","description":"ID of the schema","schema":{"type":"string"}},{"name":"title","in":"query","description":"Title of the table","schema":{"type":"string"}}],"responses":{"200":{"description":"List of tables.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/v1_ListResponse"},{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/v1_TableResponse"}}}}]}}}},"400":{"description":"Bad request."},"500":{"description":"Internal server error."}}}}},"components":{"schemas":{"v1_ListResponse":{"type":"object","properties":{"links":{"type":"object","description":"Indicates Links to associated pages.","properties":{"next":{"type":"string","description":"The link to the next page (null if there are no more pages)."},"previous":{"type":"string","description":"The link to the previous page (null if on the first page)."}}},"meta":{"type":"object","description":"Reprents the meta data of the response.","properties":{"page":{"type":"integer","description":"The current page number."},"previous_page":{"type":"integer","description":"The previous page number (null if on the first page)."},"next_page":{"type":"integer","description":"The next page number (null if on the last page)."}}},"count":{"type":"integer","description":"The total count of items returned."},"total_pages":{"type":"integer","description":"The total number of pages."}}},"v1_TableResponse":{"allOf":[{"$ref":"#/components/schemas/v1_BaseResponse"},{"type":"object","properties":{"database":{"type":"string","description":"Indicates the name of the database that the table belongs to."},"schema":{"type":"string","description":"Indicates the name of the schema that the table belongs to."},"cluster":{"type":"string","description":"This is a deprecated field."},"creation_query":{"type":"string","description":"If the table is a view, this indicates the query written to generate the view."}}}]},"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```

## Create Table

> Create a new table with a schema as a parent. The table must be associated with an integration.

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.28"},"tags":[{"name":"Tables","description":"Tables or similar data elements from an integration."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/table/tables":{"post":{"tags":["Tables"],"summary":"Create Table","description":"Create a new table with a schema as a parent. The table must be associated with an integration.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"native_type":{"type":"string","description":"The native type of the table."},"database":{"type":"string","description":"The name of the database the table belongs to."},"schema":{"type":"string","description":"The name of the schema the table belongs to."}},"allOf":[{"$ref":"#/components/schemas/v1_BaseResourceRequest"}]}}}},"responses":{"201":{"description":"Table created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_TableResponse"}}}},"400":{"description":"Bad request."},"500":{"description":"Internal server error."}}}}},"components":{"schemas":{"v1_BaseResourceRequest":{"type":"object","properties":{"title":{"type":"string","description":"The title of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource, if one exists."},"description":{"type":"string","description":"A description of the resource."},"entity_type":{"type":"string","description":"The type of the resource."},"definition":{"type":"string","description":"Mark down documentation to be added to the resource."},"parent":{"type":"string","description":"The ID of the parent resource. Please keep the resource heirarchy in mind when setting the parent."},"pii":{"type":"boolean","description":"Indicates whether the resource contains personally identifiable information (PII). Values can be - <ul><li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates whether the resource has been set as verified. Values can be - <ul><li> True <li> False</ul>"},"published":{"type":"boolean","description":"Indicates if the resource is visible to viewers or not. Values can be - <ul><li> True <li> False</ul>"},"teams":{"type":"array","items":{"type":"string"},"description":"A list of team IDs that the resource belongs to."},"owners":{"type":"array","items":{"type":"string"},"description":"A list of owner user IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"A list of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"A list of collection IDs the resource belongs to."},"tags":{"type":"array","items":{"type":"string"},"description":"A list of tag IDs associated with the resources."},"subscribers":{"type":"array","description":"A list of user IDs that have been subscribed to the resource. Anyone subscribed will be notified of any changes.","items":{"type":"string"}}}},"v1_TableResponse":{"allOf":[{"$ref":"#/components/schemas/v1_BaseResponse"},{"type":"object","properties":{"database":{"type":"string","description":"Indicates the name of the database that the table belongs to."},"schema":{"type":"string","description":"Indicates the name of the schema that the table belongs to."},"cluster":{"type":"string","description":"This is a deprecated field."},"creation_query":{"type":"string","description":"If the table is a view, this indicates the query written to generate the view."}}}]},"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```

## Get Table

> \> \*\*Warning\*\*: This endpoint is deprecated. Please use the \[List Resources]\(#tag/Resources/paths/\~1resource\~1catalog/get) endpoint instead with \`filter={"operator":"exact","field":"id","value":"your-table-id"}\`.<br>

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.28"},"tags":[{"name":"Tables","description":"Tables or similar data elements from an integration."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/table/tables/{table_id}":{"get":{"tags":["Tables"],"summary":"Get Table","deprecated":true,"description":"> **Warning**: This endpoint is deprecated. Please use the [List Resources](#tag/Resources/paths/~1resource~1catalog/get) endpoint instead with `filter={\"operator\":\"exact\",\"field\":\"id\",\"value\":\"your-table-id\"}`.\n","parameters":[{"name":"table_id","in":"path","description":"ID of the table to retrieve","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_TableResponse"}}}},"404":{"description":"Table not found."},"500":{"description":"Internal server error."}}}}},"components":{"schemas":{"v1_TableResponse":{"allOf":[{"$ref":"#/components/schemas/v1_BaseResponse"},{"type":"object","properties":{"database":{"type":"string","description":"Indicates the name of the database that the table belongs to."},"schema":{"type":"string","description":"Indicates the name of the schema that the table belongs to."},"cluster":{"type":"string","description":"This is a deprecated field."},"creation_query":{"type":"string","description":"If the table is a view, this indicates the query written to generate the view."}}}]},"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```

## Delete Table

> This endpoint deletes a specific table by its ID.<br>

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.28"},"tags":[{"name":"Tables","description":"Tables or similar data elements from an integration."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/table/tables/{table_id}":{"delete":{"tags":["Tables"],"summary":"Delete Table","description":"This endpoint deletes a specific table by its ID.\n","parameters":[{"name":"table_id","in":"path","description":"ID of the table to delete","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Table deleted successfully"},"404":{"description":"Table not found"},"500":{"description":"Internal server error."}}}}}}
```

## Update Table

> Use this endpoint to update table metadata.<br>

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.28"},"tags":[{"name":"Tables","description":"Tables or similar data elements from an integration."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/table/tables/{table_id}":{"patch":{"tags":["Tables"],"summary":"Update Table","description":"Use this endpoint to update table metadata.\n","parameters":[{"name":"table_id","in":"path","description":"ID of the table to update","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Table data to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_BasePatchRequest"}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_TableResponse"}}}},"400":{"description":"Bad request."},"404":{"description":"Table not found"},"500":{"description":"Internal server error."}}}}},"components":{"schemas":{"v1_BasePatchRequest":{"type":"object","properties":{"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","description":"Mark down documentation to be added to the resource."},"pii":{"type":"boolean","description":"Indicates whether the resource contains personally identifiable information (PII). Values can be - <ul><li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates whether the table has been set as verified. Values can be - <ul><li> True <li> False</ul>"},"published":{"type":"boolean","description":"Indicates if the resource is visible to viewers or not. Values can be - <ul><li> True <li> False</ul>"},"teams":{"type":"array","items":{"type":"string"},"description":"A list of team IDs that the resource belongs to."},"owners":{"type":"array","items":{"type":"string"},"description":"A list of owner user IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"A list of collection IDs the resource belongs to."},"tags":{"type":"array","items":{"type":"string"},"description":"A list of tag IDs associated with the resources."},"subscribers":{"type":"array","description":"A list of the added user IDs that have been subscribed to the resource. Anyone subscribed will be notified of any changes.","items":{"type":"string"}}}},"v1_TableResponse":{"allOf":[{"$ref":"#/components/schemas/v1_BaseResponse"},{"type":"object","properties":{"database":{"type":"string","description":"Indicates the name of the database that the table belongs to."},"schema":{"type":"string","description":"Indicates the name of the schema that the table belongs to."},"cluster":{"type":"string","description":"This is a deprecated field."},"creation_query":{"type":"string","description":"If the table is a view, this indicates the query written to generate the view."}}}]},"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```
